package org.project.entity.enemies;

import org.project.abilities.LifeSteal;
import org.project.item.armors.Armor;
import org.project.item.armors.VampireArmor;
import org.project.item.weapons.Dagger;

public class Vampire extends Enemy {

    private static final String NAME = "Vampire";
    private static final int MAX_HP = 90;
    private static final int MAX_MP = 80;
    private static final int XP_REWARD = 80;
    private static final int BASE_DAMAGE = 12;

    private final Armor personalArmor = new VampireArmor();

    public Vampire() {

        super(
                NAME,
                MAX_HP,
                MAX_MP,
                XP_REWARD,
                BASE_DAMAGE,
                null,
                new Dagger(),
                new LifeSteal()
        );
    }

    @Override
    public Armor getPersonalArmor() {
        return personalArmor;
    }

    @Override
    public String toString() {
        return  "vampire{" +
                "MAX_HP : 90 | " +
                "MAX_MP : 80 | " +
                "XP_REWARD : 80 | " +
                "BASE_DAMAGE : 12 | " +
                "personalArmor = " + personalArmor +
                '}';
    }
}
